跳转到主要内容
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
balance-updates
Wallet - Balance Updates
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/balance-updates \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "accountOwnerAddress": "<string>",
      "balanceChange": "<string>",
      "balanceChangeInNative": "<string>",
      "balanceChangeInUsd": "<string>",
      "blockHash": "<string>",
      "blockHeight": 123,
      "blockTimestamp": 123,
      "index": 123,
      "postBalance": "<string>",
      "postBalanceInNative": "<string>",
      "postBalanceInUsd": "<string>",
      "preBalance": "<string>",
      "preBalanceInNative": "<string>",
      "preBalanceInUsd": "<string>",
      "tokenAccountAddress": "<string>",
      "tokenAddress": "<string>",
      "transactionSignature": "<string>",
      "blockSlot": 123
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

A chain name listed in supported networks Supported blockchain chains

可用选项:
sol,
eth,
bsc
walletAddress
string
必填

An address of a wallet

查询参数

cursor
string

Pagination cursor

limit
integer<int64>
默认值:20

Number of results per page

direction
enum<string>
默认值:next

Pagination direction

可用选项:
next,
prev
tokenAddress
string

An address of a token

timeFrom
integer<int64>

Start timestamp (Unix epoch in seconds)

timeTo
integer<int64>

End timestamp (Unix epoch in seconds)

type
enum<string>

Balance type filter (SOL for native, SPL for tokens) Balance token type

可用选项:
SOL,
SPL
changeType
enum<string>

Balance change direction filter (INCREASE or DECREASE) Balance change type

可用选项:
INCREASE,
DECREASE

响应

200 - application/json

Successful response

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

示例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

示例:

false

hasPrev
boolean

Whether there is a previous page

示例:

false

startCursor
string | null

Cursor for the start of current page

示例:

"eyJpZCI6InN0YXJ0In0="